import { IAuthor, IField, IFooter, IEmbed, IImage, IProvider, IThumbnail, IVideo } from '../Interfaces';
export declare class Embed {
    protected title?: string;
    protected type: string;
    protected url?: string;
    protected description?: string;
    protected timestamp?: string;
    protected color?: number;
    protected footer?: IFooter;
    protected image?: IImage;
    protected thumbnail?: IThumbnail;
    protected video?: IVideo;
    protected provider?: IProvider;
    protected author?: IAuthor;
    protected fields?: Array<IField>;
    setTitle(title: string): Embed;
    setUrl(url: string): Embed;
    setDescription(description: string): Embed;
    setTimestamp(): Embed;
    setColor(color: number | string): Embed;
    setFooter(footer: IFooter): Embed;
    setImage(image: IImage): Embed;
    setThumbnail(thumbnail: IThumbnail): Embed;
    setVideo(video: IVideo): Embed;
    setProvider(provider: IProvider): Embed;
    setAuthor(author: IAuthor): Embed;
    addField(field: IField): Embed;
    setFields(fields: Array<IField>): Embed;
    toObject(): IEmbed;
}
